Bug Hunting Session
Bug 91364 - Crash after creating an autofilter and closing spreadsheet
Summary: Crash after creating an autofilter and closing spreadsheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-18 17:43 UTC by Buovjaga
Modified: 2015-06-05 14:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of crash (7.70 KB, text/plain)
2015-05-18 17:43 UTC, Buovjaga
Details
bt with debug symbols (7.98 KB, text/plain)
2015-05-18 18:58 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2015-05-18 17:43:42 UTC
Created attachment 115696 [details]
Backtrace of crash

Opened Calc, inputted in A column:

blabla
1
2
3
4

Selected those and Data - Filter - Autofilter.
Played around with the filter, OK, cancel a few times.

Closed file. Unknown exception. I added an event filter to Windbg to be able to analyze.

I believe this is related to VclPtr.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+
Build ID: 60fb87cf6cfcbdb1a7ece00e8a2e9d1112903ed0
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-18_14:12:34
Locale: fi-FI (fi_FI)
Comment 1 Julien Nabet 2015-05-18 18:56:41 UTC
warn:legacy.osl:13978:1:vcl/source/window/window.cxx:318: Window ( 12ScGridWindow ()) with live SystemWindows destroyed:  21ScCheckListMenuWindow (ScMenuFloatingWindow) 21ScCheckListMenuWindow (ScMenuFloatingWindow)
Window ( 12ScGridWindow ()) with live SystemWindows destroyed:  21ScCheckListMenuWindow (ScMenuFloatingWindow) 21ScCheckListMenuWindow (ScMenuFloatingWindow)
Comment 2 Julien Nabet 2015-05-18 18:58:54 UTC
Created attachment 115697 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached a bt from the abort.
Comment 3 Michael Meeks 2015-05-19 09:27:29 UTC
Some missing disposeAndClear's I suspect in the conversion from unique_ptr ... at least. Fixed the same crash for data-pilot widgets too.

Thanks !
Comment 4 Commit Notification 2015-05-19 09:29:40 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88528b88bfa41d7c13c619ed0e17215924c589a9

tdf#91364 - fix data-pilot and auto-filter popup lifecycle.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2015-05-20 06:03:51 UTC
Didn't crash anymore.

Version: 5.0.0.0.alpha1+
Build ID: 2a886adb500fe481e1ea61573551b19e99c55b8b
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-20_00:31:51
Locale: fi-FI (fi_FI)